Subject: and/or (1..MAX) constraint

From: Hallvard B Furuseth <[email-masked]>
Date: Mon, 6 Dec 2004 20:30:45 +0100

What happened to this?

I've been expecting someone to post an explanation of why the grammar
change is a problem for the T/F filter spec.  Did I miss it, or did the
someone decide it was a false alarm?

At 07 Nov 2004, Jim Sermersheim wrote:
>
> I've re-added these, and will wait for WG consensus to remove them.
>
>>>> "Kurt D. Zeilenga" <[email-masked]> 10/29/04 2:23:39 PM >>>
>>
>> As chair, I note that the WG did specifically discussed adding
>> these constraints to the revised ASN.1 module, (...)
>> 
>> It seems however that some have raised "new" concerns supporting
>> dropping the SIZE (1..MAX) constraints, however, it not quite
>> clear what that concern is. Hence, I suggest that those who
>> support dropping these constraints based upon "new" concerns
>> detail those concerns to the WG and why it is necessary (or
>> appropriate) to drop these constraints. We'll discuss the "new"
>> concerns and see if consensus now clearly supports dropping
>> these constraints. In absence of a clear consensus to drop the
>> constraints, the chairs will direct the Editor to include
>> these constraints.
>>
>> At 11:31 PM 10/28/2004, Jim Sermersheim wrote:
>>
>>> This [no SIZE constraint] is the way it was in RFC 2251.  At some
>>> point, [protocol] added the SIZE (1..MAX) to the ASN.1 to make it
>>> consistent with the text. It was then found that this prevents
>>> Kurt's T/F filter spec from working without breaking protocol, so
>>> we removed the ASN.1 grammar.

-- 
Hallvard

---

From: "Kurt D. Zeilenga" <[email-masked]>
Date: Mon, 06 Dec 2004 12:53:47 -0800

>What happened to this?

Nobody argued for dropping the SIZE (1..MAX) constraints
in response to my message.  Hence, as co-chair, I directed
the Editor to undo the removal of the constraints.  I
believe the current I-D reflects the consensus of the WG
in this area.

Kurt